## iptux 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project (iptux
	VERSION 0.7.4)

set (CMAKE_CXX_STANDARD 11)
if (APPLE AND EXISTS /usr/local/opt/gettext)
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/gettext")
    set(CMAKE_EXE_LINKER_FLAGS "-L/usr/local/opt/gettext/lib")
endif()

include(GNUInstallDirs)
include(FindPkgConfig)
include(FindGettext)
include(FindIntl)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE")

if(NOT Intl_FOUND)
	message(FATAL_ERROR "libintl not found")
endif(NOT Intl_FOUND)

pkg_check_modules(GST gstreamer-1.0>=1.0)

configure_file (
  "${PROJECT_SOURCE_DIR}/src/iptux/config.h.in"
  "${PROJECT_BINARY_DIR}/src/iptux/config.h"
  )

enable_testing()
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(pixmaps)
add_subdirectory(sound)
add_subdirectory(desktop)

=== desktop/CMakeLists.txt ===
install(FILES iptux.desktop
	DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
	)
install(DIRECTORY hicolor
	DESTINATION ${CMAKE_INSTALL_DATADIR}/icons
	)

=== pixmaps/CMakeLists.txt ===
install(DIRECTORY icon menu tip 
	DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/pixmaps
	FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	)

## iptux 0.5.2

=== debian/changelog ===
iptux (0.5.2-1) unstable; urgency=low

  * new upstream release.
  * debian/source/format: debian format 3.0. 
  * debian/control:
    - fix debhelper-but-no-misc-depends
    - use debhelper 7
    - bump standards version to 3.9.2.
    - new maintainer.
    - update Vcs-* fields.
    - update Description.
  * debian/rules: rewrite
  * debian/compat: 7
  * debian/patches/series: new patch system.

 -- LI Daobing <lidaobing@debian.org>  Sat, 06 Aug 2011 10:58:00 +0800

iptux (0.5.1-2-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sun, 29 Nov 2009 10:39:10 +0800

iptux (0.5.1-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sun, 01 Nov 2009 19:17:24 +0800

iptux (0.5.0-2-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sun, 11 Oct 2009 12:12:35 +0800

iptux (0.5.0-1-1) unstable; urgency=low

  * new upstream release.
  * debian/watch: updated. 

 -- LI Daobing <lidaobing@debian.org>  Fri, 09 Oct 2009 20:08:57 +0800

iptux (0.5.0-1) unstable; urgency=low

  * new upstream release. 
  * debian/watch: updated. 
  * debian/control:
    - change maintainer's name.
    - bump standards version to 3.8.3. 
    - update Vcs-* fields.
  * debian/docs: updated. 
  * debian/iptux.1: updated. 
  * debian/rules: remove dh_desktop 
  * debian/README.source: added. 

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Oct 2009 17:52:29 +0800

iptux (0.4.5.2-1) unstable; urgency=low

  * new upstream release.
  * debian/control: add libgstreamer0.10-dev to Build-Depends. 
  * debian/rules: remove the uninstall tool "ihateiptux".

 -- LI Daobing <lidaobing@gmail.com>  Sun, 29 Mar 2009 15:51:39 +0800

iptux (0.4.4-1) unstable; urgency=low

  * Intial release to Debian (closes: #507451)

 -- LI Daobing <lidaobing@gmail.com>  Fri, 20 Feb 2009 23:08:37 +0800

iptux (0.4.4-0ubuntu1) jaunty; urgency=low

  * new upstream released (LP: #318175)
  * debian/rules: add "--as-needed" to LDFLAGS.

 -- LI Daobing <lidaobing@gmail.com>  Sat, 17 Jan 2009 23:52:02 +0800

iptux (0.4.3-0ubuntu1) jaunty; urgency=low

  * new upstream released (LP: #311069)
  * debian/control: update description.
  * debian/copyright: fix license. iptux is GPLv2 only.
  * debian/docs: ship NEWS.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 30 Dec 2008 20:38:16 +0800

iptux (0.4.1-0ubuntu1) jaunty; urgency=low

  [ LI Daobing ]
  * Initial release (LP: #292518)

  [ Zhengpeng Hou ]
  * Add myself as an uploader. :)
  * Use /use/share/common-licenses/GPL-2 in copyright.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Thu, 04 Dec 2008 03:27:36 +0000

=== debian/control ===
Source: iptux
Section: net
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 LI Daobing <lidaobing@debian.org>,
 Zhengpeng Hou <zhengpeng-hou@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev,
 libgconf2-dev, libgstreamer0.10-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/iptux/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/iptux.git
Vcs-Git: git://anonscm.debian.org/chinese/iptux.git

Package: iptux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: intranet communication tool for Linux
 iptux is an IP Messenger client for Linux.
 . 
 It support:
  - auto detect other clients in the intranet.
  - send message to other clients.
  - send file to other clients.

## iptux 0.5.3

=== debian/changelog ===
iptux (0.5.3-1) unstable; urgency=low

  * New upstream release, fix FTBFS with ld --as-needed
    (Closes: #647085).
  * Add myself to Uploaders.
  * Rewrite debian/copyright to DEP5 format.
  * Use dh 8, compat 8.
  * Convert patch to quilt system.
  * Remove useless README.source

 -- Aron Xu <aron@debian.org>  Sat, 14 Jan 2012 00:15:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
- LI Daobing <lidaobing@debian.org>,
- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev,
+ Aron Xu <aron@debian.org>, LI Daobing <lidaobing@debian.org>
+Build-Depends: debhelper (>= 8), autotools-dev, libgtk2.0-dev,
  libgconf2-dev, libgstreamer0.10-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/iptux/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/iptux/usr/bin/ihateiptux

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg.//" \
http://code.google.com/p/iptux/downloads/list \
http://iptux.googlecode.com/files/iptux-([\d.-]+)\.tar\.gz

## iptux 0.6.1

=== debian/changelog ===
iptux (0.6.1-1) unstable; urgency=low

  * New upstream release. (Closes: #731665)
  * debian/watch: Upstream has moved to https://github.com/iptux-src/iptux/
  * Bump debhelper compatibility to 9
  * Update Standards-Version to 3.9.5
  * Delete leftover po/*.gmo and src/uninstall/Makefile
  * Update debian/copyright with new information, and change license to
    from GPL-2 to GPL-2+ according to src/HelpDialog.cpp
  * Add description in DEP-3 format to 01-desktop_encoding.patch
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Thu, 19 Dec 2013 12:24:15 +0800

=== debian/control ===
Source: iptux
Section: net
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, LI Daobing <lidaobing@debian.org>, Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev,
 libgconf2-dev, libgstreamer0.10-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/iptux/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/iptux.git
Vcs-Git: git://anonscm.debian.org/chinese/iptux.git

Package: iptux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: intranet communication tool for Linux
 iptux is an IP Messenger client for Linux.
 . 
 It supports:
  - auto-detect other clients on the intranet.
  - send message to other clients.
  - send file to other clients.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/iptux/usr/bin/ihateiptux

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/*.gmo src/uninstall/Makefile

## iptux 0.6.3

=== debian/changelog ===
iptux (0.6.3-1) unstable; urgency=medium

  * New upstream release (2015-09-19)
  * Delete debian/patches/ as they have been merged upstream in 0.6.3

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2015 03:45:18 -0600

iptux (0.6.2-1) unstable; urgency=high

  * New upstream release (2014-02-06)
  * Upgrade from GStreamer 0.10 to 1.0 (Closes: #785847)
  * Apply upstream patch to fix error in sending single files
    due to error in regular file size reporting in AnalogFS::ftwsize().
  * Improve iptux.desktop
  * Set https://github.com/iptux-src/iptux as Homepage in debian/control
  * Bump Standards-Version to 3.9.6
  * List compatible programs in package description
  * Update debian/copyright identifying src/ipmsg.h as BSD-2-clause

 -- Anthony Fok <foka@debian.org>  Fri, 18 Sep 2015 20:37:29 -0600

=== debian/control ===
Source: iptux
Section: net
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, LI Daobing <lidaobing@debian.org>, Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev,
 libgconf2-dev, libgstreamer1.0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/iptux-src/iptux
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/iptux.git
Vcs-Git: git://anonscm.debian.org/chinese/iptux.git

Package: iptux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intranet communication tool for Linux
 iptux is an “IP Messenger” client for Linux.
 . 
 It can:
  - auto-detect other clients on the intranet.
  - send message to other clients.
  - send file to other clients.
 .
 It is (supposedly) compatible with 飞鸽传书 (Feige) and 飞秋 (FeiQ)
 from China, and with the original “IP Messenger” clients from Japan
 as listed on http://ipmsg.org/ including g2ipmsg and xipmsg in Debian.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/iptux-$1\.tar\.gz/ \
  https://github.com/iptux-src/iptux/tags .*/v?(\d\S*)\.tar\.gz

## iptux 0.6.4

=== debian/changelog ===
iptux (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (2017-08-22)
    + Fix FTBFS with gcc-7 (Closes: #853458)
  * Remove LI Daobing from uploaders list. (Closes: 841794).
    Thank you for your previous work.
  * Bump debhelper compat to v10.
  * Apply wrap-and-sort -abst.
  * Update debian/control file.
    - Remove build-dep autotools-dev. (not needed)
    + Bump Standards-Version to 4.1.0.
  * Update debian/rules file.
    + Add full hardening and --as-needed linker option.
  * Add myself into debian/copyright list.
  * Fix a typo in debian/iptux.1.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 23 Aug 2017 14:31:00 +0800

=== debian/control ===
Source: iptux
Section: net
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 Anthony Fok <foka@debian.org>,
Build-Depends:
 debhelper (>= 10),
 libgconf2-dev,
 libgstreamer1.0-dev,
 libgtk2.0-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/iptux-src/iptux
Vcs-Browser: https://anonscm.debian.org/git/chinese/iptux.git
Vcs-Git: https://anonscm.debian.org/git/chinese/iptux.git

Package: iptux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Intranet communication tool for Linux
 iptux is an “IP Messenger” client for Linux.
 .
 It can:
  - auto-detect other clients on the intranet.
  - send message to other clients.
  - send file to other clients.
 .
 It is (supposedly) compatible with 飞鸽传书 (Feige) and 飞秋 (FeiQ)
 from China, and with the original “IP Messenger” clients from Japan
 as listed on http://ipmsg.org/ including g2ipmsg and xipmsg in Debian.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

## iptux 0.7.4

=== debian/changelog ===
iptux (0.7.4-1) unstable; urgency=medium

  * New upstream release. (2018-01-24).
  * Cherry-pick upstream patch to fix icon size.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 01 Feb 2018 10:52:07 +0800

iptux (0.7.3+git20180124-1) unstable; urgency=medium

  * New upstream snapshot (2018-01-24)
    + Fix more crashings.
    + Properly handle googletest.
  * Refresh patches around googletest, it is still disabled for now.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 24 Jan 2018 20:33:08 +0800

iptux (0.7.2-1) unstable; urgency=medium

  * Add myself as uploader.
  * New upstream release (2018-01-16)
    + Fix various crashings.
    + Prepare for GTK+3 migration.
  * Remove patches for build flags, applied upstream.
  * d/patches: Add patch to disable googletest until we have
    better solution.
  * d/copyright: Refresh information.
  * d/rules: Use "dh-missing --fail-missing".
  * d/iptux.1: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 17 Jan 2018 23:17:42 +0800

iptux (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (2018-01-10)
    + Migrate to CMake buildsystem.
    + Remove depends on gconf. (Closes: #886064)
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Bump debhelper compat to v11.
  * d/docs: Ship NEWS.md.
  * d/copyright: Remove trailing whitespaces.
  * d/patches: Add patch to inherit build flags.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 13 Jan 2018 10:12:36 +0800

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,
+ Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
- libgconf2-dev,
+ cmake (>= 3.1),
+ debhelper (>= 11),
+#googletest,
  libgstreamer1.0-dev,
  libgtk2.0-dev,
-Standards-Version: 4.1.0
+ libjsoncpp-dev,
+Standards-Version: 4.1.3
 Homepage: https://github.com/iptux-src/iptux
-Vcs-Browser: https://anonscm.debian.org/git/chinese/iptux.git
-Vcs-Git: https://anonscm.debian.org/git/chinese/iptux.git
+Vcs-Browser: https://salsa.debian.org/chinese-team/iptux.git
+Vcs-Git: https://salsa.debian.org/chinese-team/iptux.git
 
 Package: iptux
 Architecture: any

## iptux 0.7.5

=== debian/changelog ===
iptux (0.7.5-1) unstable; urgency=medium

  * New upstream release. (2018-05-28).
    + Fix upstream issue #207.
  * Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 29 May 2018 12:44:04 +0800

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake (>= 3.1),
- debhelper (>= 11),
+ debhelper (>= 11~),
 #googletest,
  libgstreamer1.0-dev,
  libgtk2.0-dev,
  libjsoncpp-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/iptux-src/iptux
-Vcs-Browser: https://salsa.debian.org/chinese-team/iptux.git
+Vcs-Browser: https://salsa.debian.org/chinese-team/iptux
 Vcs-Git: https://salsa.debian.org/chinese-team/iptux.git
 
 Package: iptux

## iptux 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.1)
 project (iptux
-	VERSION 0.7.4)
+	VERSION 0.7.5)
 
 set (CMAKE_CXX_STANDARD 11)
 if (APPLE AND EXISTS /usr/local/opt/gettext)

=== po/CMakeLists.txt ===
GETTEXT_CREATE_TRANSLATIONS(iptux.pot
    ALL
    de.po
    en_GB.po
    es.po
    fr.po
    gl.po
    it.po
    lb.po
    pl.po
    pt_BR.po
    ru.po
    zh_CN.po
    zh_TW.po)

=== sound/CMakeLists.txt ===
install(FILES msg.ogg trans.ogg
	DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/sound
	)

=== src/CMakeLists.txt ===
find_package(GTest)
if(NOT GTEST_FOUND)
	configure_file(googletest-download/CMakeLists.txt.in googletest-download/CMakeLists.txt)
	execute_process(COMMAND "${CMAKE_COMMAND}" -G "${CMAKE_GENERATOR}" .
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/googletest-download" )
	execute_process(COMMAND "${CMAKE_COMMAND}" --build .
		WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/googletest-download" )


	# Prevent GoogleTest from overriding our compiler/linker options
	# when building with Visual Studio
	set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)

	# Add googletest directly to our build. This adds
	# the following targets: gtest, gtest_main, gmock
	# and gmock_main
	add_subdirectory("${CMAKE_BINARY_DIR}/src/googletest-src"
		"${CMAKE_BINARY_DIR}/src/googletest-build")
endif()
add_subdirectory(iptux)
add_subdirectory(main)

=== src/iptux/CMakeLists.txt ===
pkg_check_modules (IPTUX REQUIRED glib-2.0>=2.32.0 gthread-2.0>=2.14.0 gtk+-2.0>=2.16.0 jsoncpp>=1.0)
include_directories("${PROJECT_SOURCE_DIR}/src" "${PROJECT_BINARY_DIR}/src" "${IPTUX_INCLUDE_DIRS}")
link_libraries("${IPTUX_LIBRARIES}")
link_libraries("${Intl_LIBRARIES}")
if(GST_FOUND)
	include_directories("${GST_INCLUDE_DIRS}")
	link_libraries("${GST_LIBRARIES}")
endif(GST_FOUND)

add_library(iptux
	STATIC
	AnalogFS.cpp
	callback.cpp
	Command.cpp
	CoreThread.cpp
	DataSettings.cpp
	DetectPal.cpp
	dialog.cpp
	DialogBase.cpp
	DialogGroup.cpp
	DialogPeer.cpp
	HelpDialog.cpp
	IptuxConfig.cpp
	LogSystem.cpp
	MainWindow.cpp
	mess.cpp
	output.cpp
	ProgramData.cpp
	RecvFile.cpp
	RecvFileData.cpp
	RevisePal.cpp
	SendFile.cpp
	SendFileData.cpp
	ShareFile.cpp
	SoundSystem.cpp
	StatusIcon.cpp
	support.cpp
	TcpData.cpp
	UdpData.cpp
	utils.cpp
	wrapper.cpp
	WindowConfig.cpp
	)


add_executable(libiptux_test
    IptuxConfigTest.cpp
	UtilsTest.cpp
	TestMain.cpp
	)
if(GTEST_FOUND)
	include_directories(${GTEST_INCLUDE_DIRS})
	target_link_libraries(libiptux_test ${GTEST_BOTH_LIBRARIES} iptux pthread)
else()
	target_link_libraries(libiptux_test gtest iptux)
endif()
add_test(NAME libiptux_test COMMAND libiptux_test)

=== src/main/CMakeLists.txt ===
pkg_check_modules (IPTUX REQUIRED glib-2.0>=2.32.0 gthread-2.0>=2.14.0 gtk+-2.0>=2.16.0 jsoncpp>=1.0)
include_directories("${PROJECT_SOURCE_DIR}/src" "${PROJECT_BINARY_DIR}/src" "${IPTUX_INCLUDE_DIRS}")
link_libraries("${IPTUX_LIBRARIES}")
link_libraries("${Intl_LIBRARIES}")
if(GST_FOUND)
	include_directories("${GST_INCLUDE_DIRS}")
	link_libraries("${GST_LIBRARIES}")
endif(GST_FOUND)
add_executable (iptuxbin
	iptux.cpp
	)
set_target_properties(iptuxbin PROPERTIES OUTPUT_NAME iptux)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
target_link_libraries(iptuxbin iptux Threads::Threads)

install (TARGETS iptuxbin DESTINATION bin)

=== debian/changelog ===
iptux (0.7.6-4) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * debian/rules: Remove lines about ihateiptux.
    This tool no longer exist.
  * debian/clean: Remove manual clean of obj-* dir.
    This is handled by dh_auto_clean.
  * debian/clean: Remove the src/uninstall line, file no longer exist.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jan 2021 20:07:11 -0500

iptux (0.7.6-3) unstable; urgency=medium

  [ 肖盛文 ]
  * add d/clean
  * d/rules: use execute_after
  * d/rules: add rm -rf obj-x86_64-linux-gnu/ clean
  * d/watch:
      - update to version=4,use @PACKAGE@ @ARCHIVE_EXT@
      - add @ANY_VERSION@
        Thanks for Peter Pentchev <roam@ringlet.net> patch it. see #960475

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 May 2020 18:44:30 +0800

iptux (0.7.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ 肖盛文 ]
  * d/rules:
      - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
      - delete override_dh_missing
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.5.0
      - add Rules-Requires-Root: no
      - add new Uploaders

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 13 May 2020 11:16:02 +0800

iptux (0.7.6-1) unstable; urgency=medium

  * New upstream release (2018-12-29)
    + Fix compatibility with FeiQ.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).
  * debian/source/include-binaries: Removed, useless now.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Jan 2019 19:15:15 -0500

iptux (0.7.5-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update my email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 23:54:46 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
+ xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
  cmake (>= 3.1),
- debhelper (>= 11~),
+ debhelper-compat (= 13),
 #googletest,
  libgstreamer1.0-dev,
  libgtk2.0-dev,
  libjsoncpp-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/iptux-src/iptux
 Vcs-Browser: https://salsa.debian.org/chinese-team/iptux
 Vcs-Git: https://salsa.debian.org/chinese-team/iptux.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/iptux-src/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## iptux 0.8.3+git20211122

=== meson_options.txt ===
option('dev',
    type : 'boolean',
    value : false,
    description: 'enable dev mode, iptux will read resource file from source dir.')

option('static-link',
    type: 'boolean',
    value: false,
    description: 'static link libiptux-core.')

=== debian/changelog ===
iptux (0.8.3+git20211122-1) unstable; urgency=high

  * New upstream snapshot. 
    + share/applications/meson.build: Fix FTBFS with new meson.
      (Closes: #1005604)
  * debian/copyright: Slight update.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Feb 2022 13:23:15 -0500

iptux (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Oct 2021 16:07:59 -0400

iptux (0.8.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Aug 2021 10:48:41 -0400

iptux (0.8.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jul 2021 14:52:04 -0400

iptux (0.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update file license information.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Jun 2021 15:48:25 -0400

iptux (0.8.0+git20210415-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/rules: Ask meson test to be verbose for better debugging.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Apr 2021 12:59:34 -0400

iptux (0.8.0+git20210413-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
    + Fix FTBFS on 32-bit systems.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Apr 2021 20:59:06 -0400

iptux (0.8.0-1~exp1) experimental; urgency=medium

  * New upstream stable release.
  * debian/control:
    + Migrate from cmake to meson.
    + Migrate to GTK+3. (Closes: #967537)
    + Add new build-dependency libgoogle-glog-dev.
  * debian/patches: Drop all old patches.
  * debian/: Apply wrap-and-sort -abst.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Apr 2021 09:58:25 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,17 @@
  Boyuan Yang <byang@debian.org>,
  xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
- cmake (>= 3.1),
+ cmake,
  debhelper-compat (= 13),
-#googletest,
+ libgoogle-glog-dev,
  libgstreamer1.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libjsoncpp-dev,
-Standards-Version: 4.5.1
+ libsigc++-2.0-dev,
+ meson,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/iptux-src/iptux
 Vcs-Browser: https://salsa.debian.org/chinese-team/iptux

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test -- --verbose

## iptux 0.8.4

=== debian/changelog ===
iptux (0.8.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:50 +1100

iptux (0.8.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:10:46 +0000

iptux (0.8.4-1) unstable; urgency=medium

  * add debian/gbp.conf
  * New upstream version 0.8.4
  * d/copyright: update copyright year info to 2023
  * Bump Standards-Version: 4.6.2
  * add d/p/fix-typo-DataSettings.cpp.patch

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 16 Jun 2023 23:08:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iptux
 Section: net
 Priority: optional
-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,
@@ -18,7 +19,7 @@
  meson,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/iptux-src/iptux
 Vcs-Browser: https://salsa.debian.org/chinese-team/iptux

## iptux 0.9.1

=== meson_options.txt ===
option(
  'dev',
  type: 'boolean',
  value: false,
  description: 'enable dev mode, iptux will read resource file from source dir.',
)

option(
  'static-link',
  type: 'boolean',
  value: false,
  description: 'static link libiptux-core.',
)

option(
  'appindicator',
  type: 'feature',
  value: 'auto',
  description: 'enable app indicator support',
)

=== debian/changelog ===
iptux (0.9.1-2) unstable; urgency=medium

  * debian/patches/backport/e048ff79f3fd2738f6d83d780135a3afdf56d0c0.patch:
    Apply upstream patch to fix FTBFS on armel and armhf. (Closes: #1071039)

 -- Boyuan Yang <byang@debian.org>  Sat, 18 May 2024 09:09:19 -0400

iptux (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * d/copyright: update year info to 2024
  * d/control: Build-Depends:
      - cmake
      - libgstreamer1.0-dev
      + libayatana-appindicator3-dev
      + appstream
  * Bump Standards-Version: 4.7.0

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 13 May 2024 17:05:41 +0800

iptux (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop merged patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 12:04:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: iptux
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,
  Boyuan Yang <byang@debian.org>,
  xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
- cmake,
+ appstream,
  debhelper-compat (= 13),
+ libayatana-appindicator3-dev,
  libgoogle-glog-dev,
- libgstreamer1.0-dev,
  libgtk-3-dev,
  libjsoncpp-dev,
  libsigc++-2.0-dev,
  meson,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/iptux-src/iptux
 Vcs-Browser: https://salsa.debian.org/chinese-team/iptux

## iptux 0.9.3

=== meson_options.txt ===
--- 
+++ 
@@ -18,3 +18,10 @@
   value: 'auto',
   description: 'enable app indicator support',
 )
+
+option(
+  'sanitize-address',
+  type: 'boolean',
+  value: 'false',
+  description: 'enable -fsanitize=address compile/link flag',
+)

=== debian/changelog ===
iptux (0.9.3-1ubuntu1) plucky; urgency=medium

  * Disable LTO to fix unit tests.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 15:29:55 +0000

iptux (0.9.3-1build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 11:57:19 +0000

iptux (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * rm d/patches directory, new upstream applied

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 23 Jun 2024 23:22:47 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iptux
 Section: net
 Priority: optional
-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 %:
 	dh $@

## iptux 0.9.4

=== meson_options.txt ===
--- 
+++ 
@@ -22,6 +22,6 @@
 option(
   'sanitize-address',
   type: 'boolean',
-  value: 'false',
+  value: false,
   description: 'enable -fsanitize=address compile/link flag',
 )

=== scripts/Makefile ===
all:

cppcheck:
	cppcheck -D__cplusplus -I src `pkg-config --cflags-only-I gtk+-3.0 gstreamer-1.0 jsoncpp` --enable=all --error-exitcode=1 --inconclusive ./src/iptux/ ./src/main/
fast-cppcheck:
	cppcheck -q -I src --enable=all --error-exitcode=1 --inconclusive ./src/iptux/ ./src/main/
docker:
	docker build -f iptux-travis-gcc.Dockerfile -t lidaobing/iptux-travis-gcc:0.0.5 .
travis-linux:
	echo $$TARGET
	echo $$CODECOV_TOKEN
	docker run -t -v `pwd`:/ws lidaobing/iptux-travis-gcc:0.0.5 \
    env TARGET=$$TARGET CC=$$CC CXX=$$CXX CODECOV_TOKEN=$$CODECOV_TOKEN /ws/scripts/build_in_docker_ubuntu1804.sh
travis-linux-codecov:
	echo $$TARGET
	echo $$CODECOV_TOKEN
	docker run -t -v `pwd`:/ws lidaobing/iptux-travis-gcc:0.0.5 \
    env TARGET=$$TARGET CC=$$CC CXX=$$CXX CODECOV_TOKEN=$$CODECOV_TOKEN /ws/scripts/build_in_docker_ubuntu1804.sh

=== debian/changelog ===
iptux (0.9.4-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update year info to 2025
  * update d/iptux.lintian-overrides

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 18 Feb 2025 11:16:34 +0800

iptux (0.9.3-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Explicitly disable LTO during build. (Closes: #1094166)

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 14:23:34 -0500

iptux (0.9.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop myself from uploaders list.
  * debian/source/lintian-overrides: Suppress warnings for shared libraries.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 17:10:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: iptux
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  Anthony Fok <foka@debian.org>,
- Boyuan Yang <byang@debian.org>,
  xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
  appstream,

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 # export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
+# Need to remove explicit disabling of lto when upstream v0.9.4
+# is released; see https://bugs.debian.org/1094166
+# and https://github.com/iptux-src/iptux/pull/652
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 %:
 	dh $@
